CPG_ZCB_FREE(3)

NAME
cpg_zcb_free - Frees a zero copy buffer

SYNOPSIS
#include <corosync/cpg.h>

int cpg_zcb_fre(cpg_handle_t handle, void *buffer);

DESCRIPTION
The cpg_zcb_free function will free a zero copy buffer.

The argument handle describes the handle on which the buffer will be allocated.

The argument buffer is the zero copy buffer to free.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)